> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apostra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request buyer access

> Submit buyer qualification for human review. This public form does not create an account, grant access, or establish organization or email ownership.



## OpenAPI

````yaml /v2/buyer-api-v2.yaml post /auth/buyer-signup-intake
openapi: 3.0.0
info:
  title: Scope3 Buyer API
  version: 2.0.0
  description: |-
    REST API for advertisers to manage advertisers, campaigns, and reporting.

    ## Authentication

    All endpoints require a Bearer token in the Authorization header:
    ```
    Authorization: Bearer your-api-key
    ```

    ## Base URL

    `https://api.interchange.io/api/v2/buyer`

    ## For AI Agents

    AI agents can use the MCP endpoint at `/mcp/v2/buyer` with three tools:
    - `initialize`: Start an MCP session
    - `api_call`: Make REST API calls
    - `ask_about_capability`: Learn about API features
servers:
  - url: https://api.interchange.io/api/v2/buyer
    description: Production server
security: []
tags:
  - name: Signup
    description: Request reviewed access to Interchange
  - name: Account
    description: Account management, service tokens, and preferences
  - name: Asks
    description: >-
      What you are waiting on Scope3 for — support, product, and supply asks in
      one list
  - name: Advertisers
    description: Manage advertisers
  - name: Product Discovery
    description: Discover and select products
  - name: Campaigns
    description: Manage advertising campaigns
  - name: Creatives
    description: Build, manage, and sync campaign creatives via AdCP Creative Protocol
  - name: Reporting
    description: Access performance metrics
  - name: Event Sources
    description: >-
      Manage event source configurations and log conversion/marketing events for
      attribution
  - name: Property Lists
    description: Validate property lists against AAO registry
  - name: Sales Agents
    description: View and connect sales agents
  - name: Measurement
    description: Measurement sources, records, context, and freshness
  - name: Syndication
    description: Syndicate resources to ADCP agents
  - name: Tasks
    description: Track async operation status
  - name: Buyer Billing
    description: >-
      Consolidated invoicing for buyers — invoices and pending invoice items
      issued by Scope3 across the buyer customer.
  - name: MCP
    description: Model Context Protocol endpoints for AI agents
paths:
  /auth/buyer-signup-intake:
    servers:
      - url: https://api.interchange.io
        description: Production signup service
    post:
      tags:
        - Signup
      summary: Request buyer access
      description: >-
        Submit buyer qualification for human review. This public form does not
        create an account, grant access, or establish organization or email
        ownership.
      operationId: submitBuyerSignupIntake
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  maxLength: 254
                  format: email
                  pattern: >-
                    ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                first_name:
                  type: string
                  minLength: 1
                  maxLength: 80
                last_name:
                  type: string
                  minLength: 1
                  maxLength: 80
                company:
                  type: string
                  minLength: 1
                  maxLength: 200
                role:
                  nullable: true
                  type: string
                  enum:
                    - brand
                    - agency
                intent:
                  nullable: true
                  type: string
                  enum:
                    - self_service
                    - assisted_pilot
                    - evaluate
                    - integration_partnership
                    - campaign_management
                    - agent_connection
                    - preferred_ai_chat
                    - unsure
                agent_name:
                  nullable: true
                  type: string
                  minLength: 1
                  maxLength: 200
                source:
                  default: agentic-signup
                  type: string
                  enum:
                    - agentic-signup
                    - agentic-login
                    - marketing-site
                use_case:
                  nullable: true
                  type: string
                  maxLength: 1000
                intended_markets:
                  default: []
                  maxItems: 249
                  type: array
                  items:
                    type: string
                    minLength: 2
                    maxLength: 32
                intended_channels:
                  default: []
                  maxItems: 22
                  type: array
                  items:
                    type: string
                    enum:
                      - display
                      - olv
                      - social
                      - search
                      - ctv
                      - linear_tv
                      - radio
                      - streaming_audio
                      - podcast
                      - dooh
                      - ooh
                      - print
                      - cinema
                      - email
                      - gaming
                      - retail_media
                      - influencer
                      - affiliate
                      - product_placement
                      - sponsored_intelligence
                      - audio
                      - other
                waitlist_interests:
                  maxItems: 50
                  type: array
                  items:
                    oneOf:
                      - type: object
                        properties:
                          product:
                            type: string
                            enum:
                              - buyer
                              - seller
                          country_code:
                            type: string
                            enum:
                              - AD
                              - AE
                              - AF
                              - AG
                              - AI
                              - AL
                              - AM
                              - AO
                              - AQ
                              - AR
                              - AS
                              - AT
                              - AU
                              - AW
                              - AX
                              - AZ
                              - BA
                              - BB
                              - BD
                              - BE
                              - BF
                              - BG
                              - BH
                              - BI
                              - BJ
                              - BL
                              - BM
                              - BN
                              - BO
                              - BQ
                              - BR
                              - BS
                              - BT
                              - BV
                              - BW
                              - BY
                              - BZ
                              - CA
                              - CC
                              - CD
                              - CF
                              - CG
                              - CH
                              - CI
                              - CK
                              - CL
                              - CM
                              - CN
                              - CO
                              - CR
                              - CU
                              - CV
                              - CW
                              - CX
                              - CY
                              - CZ
                              - DE
                              - DJ
                              - DK
                              - DM
                              - DO
                              - DZ
                              - EC
                              - EE
                              - EG
                              - EH
                              - ER
                              - ES
                              - ET
                              - FI
                              - FJ
                              - FK
                              - FM
                              - FO
                              - FR
                              - GA
                              - GB
                              - GD
                              - GE
                              - GF
                              - GG
                              - GH
                              - GI
                              - GL
                              - GM
                              - GN
                              - GP
                              - GQ
                              - GR
                              - GS
                              - GT
                              - GU
                              - GW
                              - GY
                              - HK
                              - HM
                              - HN
                              - HR
                              - HT
                              - HU
                              - ID
                              - IE
                              - IL
                              - IM
                              - IN
                              - IO
                              - IQ
                              - IR
                              - IS
                              - IT
                              - JE
                              - JM
                              - JO
                              - JP
                              - KE
                              - KG
                              - KH
                              - KI
                              - KM
                              - KN
                              - KP
                              - KR
                              - KW
                              - KY
                              - KZ
                              - LA
                              - LB
                              - LC
                              - LI
                              - LK
                              - LR
                              - LS
                              - LT
                              - LU
                              - LV
                              - LY
                              - MA
                              - MC
                              - MD
                              - ME
                              - MF
                              - MG
                              - MH
                              - MK
                              - ML
                              - MM
                              - MN
                              - MO
                              - MP
                              - MQ
                              - MR
                              - MS
                              - MT
                              - MU
                              - MV
                              - MW
                              - MX
                              - MY
                              - MZ
                              - NA
                              - NC
                              - NE
                              - NF
                              - NG
                              - NI
                              - NL
                              - 'NO'
                              - NP
                              - NR
                              - NU
                              - NZ
                              - OM
                              - PA
                              - PE
                              - PF
                              - PG
                              - PH
                              - PK
                              - PL
                              - PM
                              - PN
                              - PR
                              - PS
                              - PT
                              - PW
                              - PY
                              - QA
                              - RE
                              - RO
                              - RS
                              - RU
                              - RW
                              - SA
                              - SB
                              - SC
                              - SD
                              - SE
                              - SG
                              - SH
                              - SI
                              - SJ
                              - SK
                              - SL
                              - SM
                              - SN
                              - SO
                              - SR
                              - SS
                              - ST
                              - SV
                              - SX
                              - SY
                              - SZ
                              - TC
                              - TD
                              - TF
                              - TG
                              - TH
                              - TJ
                              - TK
                              - TL
                              - TM
                              - TN
                              - TO
                              - TR
                              - TT
                              - TV
                              - TW
                              - TZ
                              - UA
                              - UG
                              - UM
                              - US
                              - UY
                              - UZ
                              - VA
                              - VC
                              - VE
                              - VG
                              - VI
                              - VN
                              - VU
                              - WF
                              - WS
                              - YE
                              - YT
                              - ZA
                              - ZM
                              - ZW
                            description: An assigned ISO 3166-1 alpha-2 country code.
                          channel:
                            type: string
                            enum:
                              - audio
                              - ctv
                              - display
                              - dooh
                              - google
                              - meta
                              - olv
                              - social
                          desired_path:
                            type: string
                            enum:
                              - marketplace
                              - bring_supply
                              - either
                          readiness_reason:
                            type: string
                            enum:
                              - product_not_ready
                              - market_unavailable
                              - supply_missing
                              - supply_unknown
                          notification_preference:
                            type: string
                            enum:
                              - email
                          notification_consent:
                            type: object
                            properties:
                              key:
                                type: string
                                enum:
                                  - signUp.communicationOptIn.label
                              version:
                                type: string
                                enum:
                                  - '2026-08-17'
                              locale:
                                type: string
                                enum:
                                  - en-US
                              renderedText:
                                type: string
                                enum:
                                  - >-
                                    Yes, I'd like to receive occasional emails
                                    with product updates and research reports.
                            required:
                              - key
                              - version
                              - locale
                              - renderedText
                            additionalProperties: false
                        required:
                          - product
                          - country_code
                          - channel
                          - desired_path
                          - readiness_reason
                          - notification_preference
                          - notification_consent
                        additionalProperties: false
                      - type: object
                        properties:
                          product:
                            type: string
                            enum:
                              - buyer
                              - seller
                          country_code:
                            type: string
                            enum:
                              - AD
                              - AE
                              - AF
                              - AG
                              - AI
                              - AL
                              - AM
                              - AO
                              - AQ
                              - AR
                              - AS
                              - AT
                              - AU
                              - AW
                              - AX
                              - AZ
                              - BA
                              - BB
                              - BD
                              - BE
                              - BF
                              - BG
                              - BH
                              - BI
                              - BJ
                              - BL
                              - BM
                              - BN
                              - BO
                              - BQ
                              - BR
                              - BS
                              - BT
                              - BV
                              - BW
                              - BY
                              - BZ
                              - CA
                              - CC
                              - CD
                              - CF
                              - CG
                              - CH
                              - CI
                              - CK
                              - CL
                              - CM
                              - CN
                              - CO
                              - CR
                              - CU
                              - CV
                              - CW
                              - CX
                              - CY
                              - CZ
                              - DE
                              - DJ
                              - DK
                              - DM
                              - DO
                              - DZ
                              - EC
                              - EE
                              - EG
                              - EH
                              - ER
                              - ES
                              - ET
                              - FI
                              - FJ
                              - FK
                              - FM
                              - FO
                              - FR
                              - GA
                              - GB
                              - GD
                              - GE
                              - GF
                              - GG
                              - GH
                              - GI
                              - GL
                              - GM
                              - GN
                              - GP
                              - GQ
                              - GR
                              - GS
                              - GT
                              - GU
                              - GW
                              - GY
                              - HK
                              - HM
                              - HN
                              - HR
                              - HT
                              - HU
                              - ID
                              - IE
                              - IL
                              - IM
                              - IN
                              - IO
                              - IQ
                              - IR
                              - IS
                              - IT
                              - JE
                              - JM
                              - JO
                              - JP
                              - KE
                              - KG
                              - KH
                              - KI
                              - KM
                              - KN
                              - KP
                              - KR
                              - KW
                              - KY
                              - KZ
                              - LA
                              - LB
                              - LC
                              - LI
                              - LK
                              - LR
                              - LS
                              - LT
                              - LU
                              - LV
                              - LY
                              - MA
                              - MC
                              - MD
                              - ME
                              - MF
                              - MG
                              - MH
                              - MK
                              - ML
                              - MM
                              - MN
                              - MO
                              - MP
                              - MQ
                              - MR
                              - MS
                              - MT
                              - MU
                              - MV
                              - MW
                              - MX
                              - MY
                              - MZ
                              - NA
                              - NC
                              - NE
                              - NF
                              - NG
                              - NI
                              - NL
                              - 'NO'
                              - NP
                              - NR
                              - NU
                              - NZ
                              - OM
                              - PA
                              - PE
                              - PF
                              - PG
                              - PH
                              - PK
                              - PL
                              - PM
                              - PN
                              - PR
                              - PS
                              - PT
                              - PW
                              - PY
                              - QA
                              - RE
                              - RO
                              - RS
                              - RU
                              - RW
                              - SA
                              - SB
                              - SC
                              - SD
                              - SE
                              - SG
                              - SH
                              - SI
                              - SJ
                              - SK
                              - SL
                              - SM
                              - SN
                              - SO
                              - SR
                              - SS
                              - ST
                              - SV
                              - SX
                              - SY
                              - SZ
                              - TC
                              - TD
                              - TF
                              - TG
                              - TH
                              - TJ
                              - TK
                              - TL
                              - TM
                              - TN
                              - TO
                              - TR
                              - TT
                              - TV
                              - TW
                              - TZ
                              - UA
                              - UG
                              - UM
                              - US
                              - UY
                              - UZ
                              - VA
                              - VC
                              - VE
                              - VG
                              - VI
                              - VN
                              - VU
                              - WF
                              - WS
                              - YE
                              - YT
                              - ZA
                              - ZM
                              - ZW
                            description: An assigned ISO 3166-1 alpha-2 country code.
                          channel:
                            type: string
                            enum:
                              - audio
                              - ctv
                              - display
                              - dooh
                              - google
                              - meta
                              - olv
                              - social
                          desired_path:
                            type: string
                            enum:
                              - marketplace
                              - bring_supply
                              - either
                          readiness_reason:
                            type: string
                            enum:
                              - product_not_ready
                              - market_unavailable
                              - supply_missing
                              - supply_unknown
                          notification_preference:
                            type: string
                            enum:
                              - none
                        required:
                          - product
                          - country_code
                          - channel
                          - desired_path
                          - readiness_reason
                          - notification_preference
                        additionalProperties: false
                    type: object
                pilot_budget:
                  nullable: true
                  type: string
                  minLength: 1
                  maxLength: 100
                pilot_timing:
                  nullable: true
                  type: string
                  enum:
                    - ready_now
                    - one_to_three_months
                    - later
                self_service_experience:
                  nullable: true
                  type: boolean
                prelaunch_slack_consent:
                  nullable: true
                  type: boolean
                website:
                  type: string
                  maxLength: 500
              required:
                - email
                - first_name
                - last_name
                - company
      responses:
        '201':
          description: Request buyer access
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      ok:
                        type: boolean
                        enum:
                          - true
                      org_ref:
                        nullable: true
                        type: string
                      qualification_route:
                        type: string
                        enum:
                          - solutions_review
                          - market_nurture
                          - manual_review
                    required:
                      - ok
                      - org_ref
                      - qualification_route
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: >-
            The public intake was already claimed; sign in to update
            organization interests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        data:
          type: string
          nullable: true
          enum:
            - null
        error:
          $ref: '#/components/schemas/ApiError'
      required:
        - data
        - error
      additionalProperties: false
      description: Standard error response
    ApiError:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        message:
          type: string
          description: Human-readable error message
        field:
          description: Field path associated with the error
          type: string
        details:
          description: Additional error context
          type: object
          additionalProperties: {}
      required:
        - code
        - message
      additionalProperties: false
      description: Structured error object

````